package com.sv.mapper;

import com.sv.entity.Coach;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 教练
 *
 * @author zhaoziyu
 * @since 2018-08-06
 */
public interface CoachMapper {

    /**
     * 新建教练
     *
     * @param coach 教练
     */
    void insert(Coach coach);

    /**
     * 更新教练
     *
     * @param coach 教练
     */
    void update(Coach coach);

    /**
     * 删除教练
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除教练
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * api
     * 查询教练
     *
     * @param id 编号
     * @return 教练
     */
    Coach findById(Integer id);

    /**
     * 查询教练
     *
     * @return 教练集合
     */
    List<Coach> findAll();

    List<Coach> findByVenueType(@Param("venueType") Integer venueType);
}